Download it now!
Bug 123453 - LibreOffice cannot launch when QPainter backend is used
Summary: LibreOffice cannot launch when QPainter backend is used
Status: RESOLVED DUPLICATE of bug 123072
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-02-13 21:52 UTC by Ongun Kanat
Modified: 2019-03-21 14:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ongun Kanat 2019-02-13 21:52:43 UTC
Libreoffice stucks at the splash screen when "SAL_USE_VCLPLUGIN=qt5" is set.

The bug does not happen when KDE5 VCL plugin or Qt5 VCL plugin with Cairo path is used.

The build script used is https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/libreoffice-fresh

Specs:
OS: Arch Linux x86_64
Qt 5.12.1
KDE Frameworks 5.55
Comment 1 Xisco Faulí 2019-03-21 14:24:33 UTC
Hello,
LibreOffice 6.2.2.2 is going to be released today, could you please try again
with this version to see if the problem has been resolved meanwhile? Thanks in
advance
Comment 2 Michael Weghorn 2019-03-21 14:41:17 UTC
Thank you for your bug report. This has already been reported as 123072.

Side note: In it's current stage, I wouldn't really recommend using the qt5 VCL plugin with the QPainter backend anyway.
(Currently, qt5 is mostly meant to be the basis for the kde5 VCL plugin.)

*** This bug has been marked as a duplicate of bug 123072 ***